package com.qmth.paper.library.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description 扫描统计返回结果
 */
public class ScanStatResult implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "扫描员")
    private String scanner;

    @ApiModelProperty(value = "扫描图片(张)")
    private int pictureCount;

    @ApiModelProperty(value = "扫描学生数")
    private int studentCount;

    @ApiModelProperty(value = "扫描日期")
    private Long scanDate;

    @ApiModelProperty(value = "扫描日期字符串")
    private String scanDateStr;

    @ApiModelProperty(value = "扫描员ID")
    private Long createId;

    public String getScanner() {
        return scanner;
    }

    public void setScanner(String scanner) {
        this.scanner = scanner;
    }

    public int getPictureCount() {
        return pictureCount;
    }

    public void setPictureCount(int pictureCount) {
        this.pictureCount = pictureCount;
    }

    public int getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(int studentCount) {
        this.studentCount = studentCount;
    }

    public Long getScanDate() {
        return scanDate;
    }

    public void setScanDate(Long scanDate) {
        this.scanDate = scanDate;
    }

    public String getScanDateStr() {
        return scanDateStr;
    }

    public void setScanDateStr(String scanDateStr) {
        this.scanDateStr = scanDateStr;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }
}
